BQ4802RTC(4)

NAME
bq4802rtc - Texas Instruments bq4802Y/bq4802LY Real-Time Clock

SYNOPSIS
bq4802rtc* at ebus? # sparc64

DESCRIPTION
The bq4802rtc driver provides access to the Texas Instruments bq4802Y/bq4802LY real-time clock. Access methods to retrieve and set date and time are provided through the TODR interface defined in todr(9).

The chip supports stopping the oscillator to conserve battery life if the computer will be stored for an extended period. The bq4802rtc driver makes the oscillator control available via sysctl(8). For example:

    hw.bq4802rtc0.stop_oscillator = 0

A value of “0” means that the oscillator is running when the computer is powered off, and a value of “1” means that the oscillator is stopped. If the oscillator is stopped, then the driver will output a warning message at attach time, but does not automatically restart the oscillator.

SEE ALSO
sysctl(8,) todr(9)

HISTORY
The bq4802rtc driver first appeared in NetBSD 11.1.

AUTHORS
-nosplit The bq4802rtc driver was written by Julian Coleman <jcoleman@NetBSD.org>.